Create note
Creates a deal note. Required: `deals_id`, `description`. Optional `is_pinned`.
post
/api/v1/notes
Security
Parameters
| Name | In | Type | Details | |
|---|---|---|---|---|
Idempotency-Key |
header |
string
|
optional | Unique key for safe create retries (Make/Zapier/n8n). Replays the stored successful response for the same key + request body within 7 days. |
Request body required
application/json
Example
{
"deals_id": 12,
"description": "Customer asked for a site visit next week.",
"is_pinned": false
}
Schema
{
"type": "object",
"required": [
"deals_id",
"description"
],
"properties": {
"deals_id": {
"type": "integer"
},
"description": {
"type": "string"
},
"is_pinned": {
"type": "boolean"
}
}
}
Responses
201
Note created
application/json
{
"allOf": [
{
"title": "API envelope",
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string",
"nullable": true
},
"errors": {
"nullable": true
},
"meta": {
"type": "object",
"nullable": true,
"additionalProperties": true
}
}
},
{
"type": "object",
"properties": {
"data": {
"title": "Note",
"type": "object",
"required": [
"id",
"description",
"is_pinned"
],
"properties": {
"id": {
"type": "integer"
},
"description": {
"type": "string"
},
"deals_id": {
"type": "integer",
"nullable": true
},
"is_pinned": {
"type": "boolean"
},
"created_by": {
"type": "integer",
"nullable": true
},
"created_at": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updated_at": {
"type": "string",
"format": "date-time",
"nullable": true
}
}
}
}
}
]
}
401
Missing or invalid API key
application/json
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"example": false
},
"message": {
"type": "string",
"example": "Missing API key (X-Api-Key)"
}
}
}
422
Validation failed
application/json
{
"title": "API envelope",
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string",
"nullable": true
},
"errors": {
"nullable": true
},
"meta": {
"type": "object",
"nullable": true,
"additionalProperties": true
}
}
}